LIBTOOL(1)

NAME
libtool - manual page for libtool 2.4.6

SYNOPSIS
libtool [OPTION]... [MODE-ARG]...

DESCRIPTION
Provide generalized library-building support services.

OPTIONS

--config
    show all configuration variables

--debug
    enable verbose shell tracing

-n, --dry-run
    display commands without modifying any files

--features
    display basic configuration information and exit

--mode=MODE
    use operation mode MODE

--no-warnings
    equivalent to '-Wnone'

--preserve-dup-deps
    don't remove duplicate dependency libraries

--quiet, --silent
    don't print informational messages

--tag=TAG
    use configuration variables from tag TAG

-v, --verbose
    print more informational messages than default

--version
    print version information

-W, --warnings=CATEGORY
    report the warnings falling in CATEGORY [all]

-h, --help, --help-all
    print short, long, or detailed help message

  Warning categories include:

'all'
    show all warnings

'none'
    turn off all the warnings

'error'
    warnings are treated as fatal errors

MODE must be one of the following:

clean
    remove files from the build directory

compile
    compile a source file into a libtool object

execute
    automatically set library path, then run a program

finish
    complete the installation of libtool libraries

install
    install libraries or executables

link
    create a library or an executable

uninstall
    remove libraries from an installed directory

MODE-ARGS vary depending on the MODE. When passed as first option, '--mode=MODE' may be abbreviated as 'MODE' or a unique abbreviation of that.

GNU libtool home page: <http://www.gnu.org/software/libtool/>.

When reporting a bug, please describe a test case to reproduce it and include the following information:

host-triplet:
    riscv64-rv64gc-linux-gnu

shell:
    /bin/sh

compiler:
    /usr/bin/ccache /opt/toolchains/riscv64-RV64GC-linux-glibc/1.9.8/bin/riscv64-rv64gc-linux-gnu-gcc --sysroot=/u7/kx/RcL/system/branches/radix-1.9-348/dist/.riscv64-glibc/visionfive2

    compiler flags: -I. -I/u7/kx/RcL/system/branches/radix-1.9-348/dist/.riscv64-glibc/visionfive2/usr/include -g -O3 -march=rv64gc -mcmodel=medany -D__RV64GC_GLIBC__=1 -D__HARDWARE__=1B02 -DBONE_BLACK=0700 -DVISIONFIVE2=1B02 -DPOIN2=0C02 -DCI20=0901 -DDRA7XXEVM=0802 -DOKMX6Q_C=0603 -DP212=1401 -DKHADAS_VIM2=1503 -DSIFIVE_U740=1B01 -DCB2N=0200 -DTL2WK2_LSB=1901 -DODROID_C2=1204 -DORANGE_PI5=0F02 -DORANGE_PI5B=0F03 -DTL2SV2=1A00 -DORANGE_PP2E=0F01 -DWECHIP_TX6=1003 -DLEEZ_P710=0E02 -DMXV=1102 -DTL2WK2=1900 -DFFRK3288=0C01 -DKHADAS_EDGE=0E01 -DOMAP5UEVM=0801 -DINTEL_PC64M=0008 -DOKMX6DL_C=0602 -DRK3328_CC=0D01 -DEBOX_3350DX2=0010 -DNANOPI_NEO=0D02 -DREPKA_PI3=1004 -DORANGE_PL2=1002 -DROCK_5B=0F05 -DINTEL_PC32M=0004 -DQ201=1501 -DSK6ULL=0604 -DAT91S=0400 -DENYBOX_X2=1502 -DVESNIN_LSB=1801 -DCB3X=0301 -DTL2SV2_LSB=1A01 -DCB1N=0100 -DS824L_LSB=1701 -DKHADAS_VIM=1402 -DS824L=1700 -DBAIKAL_T1=0A01 -DVESNIN=1800 -DCB3N=0300 -DORANGE_PI5P=0F04 -DEBOX_3350DX2M=0011 -DNEXBOX_A95X=1202 -DCB1X=0101 -DINTEL_PC64=0002 -DBAIKAL_M1=0B01 -DINTEL_PC32=0001 -DNIT6Q=0601 -DM201=1101 -DP201=1201 -DCB2X=0201 -DORANGE_PP=1001 -DKHADAS_VIM3=1600 linker: /opt/toolchains/riscv64-RV64GC-linux-glibc/1.9.8/bin/riscv64-rv64gc-linux-gnu-ld --sysroot=/u7/kx/RcL/system/branches/radix-1.9-348/dist/.riscv64-glibc/visionfive2 (gnu? yes) version: libtool (GNU libtool) 2.4.6 automake: automake (GNU automake) 1.16.2 autoconf: autoconf (GNU Autoconf) 2.71

AUTHOR
Written by Gordon Matzigkeit, 1996

REPORTING BUGS
Report bugs to <bug-libtool@gnu.org>.

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for libtool is maintained as a Texinfo manual. If the info and libtool programs are properly installed at your site, the command

    info libtool

should give you access to the complete manual.